## GstPlayerGMainContextSignalDispatcher

GstPlayerGMainContextSignalDispatcher — Player GLib MainContext dispatcher

## Functions

GstPlayerSignalDispatcher * | gst_player_g_main_context_signal_dispatcher_new ()

## Includes

    #include <gst/codecparsers/gstmpeg4parser.h>

## Description

## Functions

### gst_player_g_main_context_signal_dispatcher_new ()

    GstPlayerSignalDispatcher *
    gst_player_g_main_context_signal_dispatcher_new
                                   (GMainContext *application_context);

Creates a new GstPlayerSignalDispatcher that uses `application_context` , or the thread default one if `NULL` is used. See `gst_player_new_full()`.

#### Parameters

application_context | GMainContext to use or `NULL`. | [allow-none]

#### Returns

the new GstPlayerSignalDispatcher.

[transfer full]

## Types and Values